﻿using LJLib.Net.SPI.Com;
using LJProxy.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Newtonsoft.Json.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;
using LJProxy.Settings;

namespace LJProxy
{
    public static class GlobalVar
    {
        public static AppSettings Setting { get; private set; }

        public static void InitSetting(IConfiguration configuration)
        {
            Setting = new AppSettings();
            Setting.L1SvrUrl = configuration.GetSection("L1SvrUrl")?.Value;
            string threadSizeStr = configuration.GetSection("ThreadSize")?.Value;
            Setting.ThreadSize = string.IsNullOrEmpty(threadSizeStr)?20:Convert.ToInt32(threadSizeStr);
            Setting.ProxyDomainList = configuration.GetSection("ProxyDomainList").GetChildren().Select(c => c.Value).ToList();
        }

    }
}
